Pour backup son elasticsearch
Attention le snapshot n'est pas restaurable d'une version à une autre.. j'ai eu ce problème et j'ai utilisé https://github.com/mallocator/Elasticsearch-Exporter
Marche bien!
Dans l'inspecteur on peut récupérer pour chaque requete l'équivalent en curl (un gros paté avec tous les headers qui vont bien)
Parmis ces headers on retrouve 'Accept-Encoding: gzip, deflate' donc le curl va nous retourner quelquechose d'illisible
Pour résoudre ça : curl blablablalba | gunzip -
j'étais passé à côté de ça :o
Un bon client mail intégré parfaitement à owncloud ce serait top
à mettre dans son bashrc
showOriginal() {
packageName=$(dpkg -S $1|cut -d':' -f1)
tmpdir="/tmp/showOriginal-$packageName-$(date +%s)"
mkdir $tmpdir
cd $tmpir
apt-get download $packageName > /dev/null
dpkg -x *.deb $tmpdir
cat ${tmpdir}$1
cd - >/dev/null
rm -rf $tmpdir
}
Note à moi même : NE JAMAIS ECRIRE DE LONG BLOCS DE TXT DANS UN FORMULAIRE
session time out -> tout perdu -> merci
S'il vous arrive souvent de rechercher un lien dans une page pour pouvoir cliquer dessus, vous pouvez le faire sans la souris :
:)
front end graphite avec un backend cassandra (carrément)
via arnaudb
pulsar, le xbmc torrent boosté de steeve
(présenté pendant le paris tech talk du 22/09/2014)
wow could be useful
via skunnyk
Tiens tiens ça fait un quelques semaines que je suis à la recherche dune solution similaire! À tester
sdn sdn !
le moins que l'on puisse dire c'est que ça ne se simplifie pas
#
#
#source /lib/lsb/init-functions
. /lib/lsb/init-functions
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
GRAPHITE_HOME=/opt/graphite
NAME=carbon-cache
DESC=carbon-cache
#Carbon has its own logging facility, by default in /opt/graphite/storage/log/carbon-cache-*
DAEMON=$GRAPHITE_HOME/bin/carbon-cache.py
PIDFILE=/opt/graphite/storage/carbon-cache-a.pid
SCRIPTNAME=/etc/init.d/$NAME
if [ ! -x "$DAEMON" ]; then {
echo "Couldn't find $DAEMON or not executable"
exit 99
}
fi
[ -f /etc/default/rcS ] && . /etc/default/rcS
#
#
do_start()
{
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
# Test to see if the daemon is already running - return 1 if it is.
start-stop-daemon --start --pidfile $PIDFILE \
--exec $DAEMON --test -- start > /dev/null || return 1
# Start the daemon for real, return 2 if failed
start-stop-daemon --start --pidfile $PIDFILE \
--exec $DAEMON -- start > /dev/null || return 2
}
#
#
do_stop() {
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
log_daemon_msg "Stopping $DESC" "$NAME"
start-stop-daemon --stop --signal 2 --retry 5 --quiet --pidfile $PIDFILE
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# Delete the exisitng PID file
if [ -e "$PIDFILE" ]; then {
rm $PIDFILE
}
fi
return "$RETVAL"
}
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
restart)
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
) log_end_msg 1 ;; # Failed to start
esac
;;
)
log_end_msg 1
;;
esac ;; status) if [ -s $PIDFILE ]; then pid= cat $PIDFILE kill -0 $pid >/dev/null 2>&1 if [ "$?" = "0" ]; then echo "$NAME is running: pid $pid." RETVAL=0 else echo "Couldn't find pid $pid for $NAME." RETVAL=1 fi else echo "$NAME is stopped (no pid file)." RETVAL=1 fi ;; *) echo "Usage: $SCRIPTNAME {start |
stop | restart | status}" >&2 exit 3 ;; esac |
---|